import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Random;

public class Raten1 extends HttpServlet {
    public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	res.setContentType("text/html");
	PrintWriter out = res.getWriter();

	HttpSession sess = req.getSession();

	out.println("<html>");
	out.println("  <head>");
	out.println("    <title>Raten</title>");
	out.println("  </head>");
	out.println("  <body>");

	final int MAX = 128;
	Integer geheim = (Integer) sess.getAttribute("geheim");

	// evtl. Tipp auswerten
	if (geheim != null) {
	    try {
		int tipp = Integer.parseInt(req.getParameter("tipp"));
		int anzTipps = ((Integer) sess.getAttribute("anzahl_tipps")).intValue()+1;
		if (geheim.intValue() < tipp)
		    out.println("Die geheime Zahl ist <i>kleiner</i>!");
		else if (geheim.intValue() > tipp)
		    out.println("Die geheime Zahl ist <i>grer</i>!");
		else {
		    out.println("<b>Toll, Sie haben die geheime Zahl erraten!</b>");
		    geheim = null; // => neu whlen
		}
		out.println("<p />");
		out.println("Das war Ihr "+anzTipps+"-ter Tipp.");
		sess.setAttribute("anzahl_tipps", new Integer(anzTipps));
	    }
	    catch (NumberFormatException e) {
	        // Log-Meldung schreiben
	        log(""+e);
	        out.println("Sie mssen schon eine Zahl eingeben!");
	    }
	}

	// evtl. eine neue geheime Zahl whlen
	if (geheim == null) {
	    Random r = new Random();
	    geheim = new Integer(r.nextInt(MAX) + 1);
	    sess.setAttribute("geheim", geheim);
	    sess.setAttribute("anzahl_tipps", new Integer(0));
	    out.println("<p />");
	    out.println("Ich habe eine Zahl zwischen 1 und "+MAX+" gewhlt!");
	}

	out.println("    <p />");

	String url = res.encodeURL(req.getRequestURI());
	out.println("    <form action=\""+url+"\" method=post>");
	out.println("      Ihr Tipp: <input type=text name=\"tipp\" size=5 />");
	out.println("      <br />");
	out.println("      <input type=submit value=\"Tipp absenden\">");
	out.println("    </form>");
	out.println("  </body>");
	out.println("</html>");
    }
    public void doPost(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	doGet(req, res);
    }
}
