import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Enumeration;

public class SessionTimeout extends HttpServlet {
    public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	res.setContentType("text/html");
	PrintWriter out = res.getWriter();

	// Sitzungsobjekt besorgen (bzw. neu anlegen)
	HttpSession sess = req.getSession();

	// Sitzung nach 5s abrumen lassen
	if (sess.isNew()) {
	    sess.setMaxInactiveInterval(5);
	}

	// Attribut count der Sitzung lesen
	Integer count = (Integer) sess.getAttribute("count");

	// Attribut count erhhen oder mit 1 initialisieren
	if (count == null)
	    count = new Integer(1);
	else
	    count = new Integer(count.intValue() + 1);

	// Sitzungsattribut count setzen
	sess.setAttribute("count", count);

	out.println("<html>");
	out.println("  <body>");
	out.println("    count = "+count+"<br />");
	// selbst referenzierende URL erzeugen
	String url = res.encodeURL(req.getRequestURI());
	out.println("    <a href=\""+url+"\">Ruf mich auf!</a>");
	out.println("    <p />");
	out.println("    <b>Alle Attribute:</b><br />");

	// alle Attribute ausgeben
	Enumeration e = sess.getAttributeNames();
	while (e.hasMoreElements()) {
	    String name = (String) e.nextElement();
	    out.println(name+" = "+sess.getAttribute(name));
	}

	out.println("  </body>");
	out.println("</html>");
    }
}
